com.sun.grid.jgdi.monitoring

## Class BasicQueueOptions

- java.lang.Object
- - com.sun.grid.jgdi.monitoring.BasicQueueOptions

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ClusterQueueSummaryOptions, QueueInstanceSummaryOptions

      public abstract class BasicQueueOptions
      extends java.lang.Object
      implements java.io.Serializable

  Base class for all classes which implements options for the qstat algorithm.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicQueueOptions()` Creates a new instance of BaseQStatFilter

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueueFilter` | `getQueueFilter()` Get the queue filter The CLI qstat equivialent for queue filter is `qstat -q`
    `QueueStateFilter` | `getQueueStateFilter()` Get the queue state filter.
    `UserFilter` | `getQueueUserFilter()` Get the queue user filter.
    `ResourceFilter` | `getResourceFilter()` Get the the resource filter.
    `void` | `setQueueFilter(QueueFilter queueFilter)` Set the queue filter
    `void` | `setQueueStateFilter(QueueStateFilter queueStateFilter)` Set the queue state filter.
    `void` | `setQueueUserFilter(UserFilter queueUserFilter)` Set a new queue user filter
    `void` | `setResourceFilter(ResourceFilter resourceFilter)` Set the resource filter
    `void` | `setShowAdditionalAttributes(boolean showAdditionalAttributes)` Set the show additional attributes flag
    `boolean` | `showAdditionalAttributes()` Should additional attributes be includes into the result The CLI equivialent is `qstat -ext`
    `void` | `updateQueueFilter(java.lang.String vals)` Update the content of the queue user filter by adding values in vals
    `void` | `updateQueueStateFilter(java.lang.String vals)` Update the content of the queue state filter by adding values in vals
    `void` | `updateQueueUserFilter(java.lang.String vals)` Update the content of the queue user filter by adding values in vals
    `void` | `updateResourceFilter(java.lang.String vals)` Update the content of the resource filter by adding values in vals

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicQueueOptions

          public BasicQueueOptions()

      Creates a new instance of BaseQStatFilter

  - ### Method Detail

    - #### getQueueFilter

          public QueueFilter getQueueFilter()

      Get the queue filter The CLI qstat equivialent for queue filter is `qstat -q`
      Returns:
        the queue filters

    - #### setQueueFilter

          public void setQueueFilter(QueueFilter queueFilter)

      Set the queue filter
      Parameters:
        `queueFilter` - the new queue filter

    - #### updateQueueFilter

          public void updateQueueFilter(java.lang.String vals)

      Update the content of the queue user filter by adding values in vals
      Parameters:
        `vals` - values to be added to the filter

    - #### getResourceFilter

          public ResourceFilter getResourceFilter()

      Get the the resource filter. The CLI equivialent for resource fitler is `qstat -l`

    - #### setResourceFilter

          public void setResourceFilter(ResourceFilter resourceFilter)

      Set the resource filter
      Parameters:
        `resourceFilter` - the new resource filter

    - #### updateResourceFilter

          public void updateResourceFilter(java.lang.String vals)

      Update the content of the resource filter by adding values in vals
      Parameters:
        `vals` - values to be added to the filter

    - #### getQueueStateFilter

          public QueueStateFilter getQueueStateFilter()

      Get the queue state filter. The CLI equivialent for queue state filter is `qstat -qs`
      Returns:
        the queue state filter

    - #### setQueueStateFilter

          public void setQueueStateFilter(QueueStateFilter queueStateFilter)

      Set the queue state filter.
      Parameters:
        `queueStateFilter` - the queue state filter

    - #### updateQueueStateFilter

          public void updateQueueStateFilter(java.lang.String vals)

      Update the content of the queue state filter by adding values in vals
      Parameters:
        `vals` - values to be added to the filter

    - #### getQueueUserFilter

          public UserFilter getQueueUserFilter()

      Get the queue user filter. The result of the qstat algorithm will only include those queue which are accessible by user of the queue user filter. The CLI equivialent for the queue user filter is `qstat -U`
      Returns:
        the queue user filter

    - #### setQueueUserFilter

          public void setQueueUserFilter(UserFilter queueUserFilter)

      Set a new queue user filter
      Parameters:
        `queueUserFilter` - the new queue user filter

    - #### updateQueueUserFilter

          public void updateQueueUserFilter(java.lang.String vals)

      Update the content of the queue user filter by adding values in vals
      Parameters:
        `vals` - values to be added to the filter

    - #### showAdditionalAttributes

          public boolean showAdditionalAttributes()

      Should additional attributes be includes into the result The CLI equivialent is `qstat -ext`
      Returns:
        `true` of additional attributes should be included into the result

    - #### setShowAdditionalAttributes

          public void setShowAdditionalAttributes(boolean showAdditionalAttributes)

      Set the show additional attributes flag
      Parameters:
        `showAdditionalAttributes` - the show additional attributes flag

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.